Ethernet unusable after Maverick-Natty upgrade; device unmanaged; no way to change it

Bug #279262 reported by marcobra (Marco Braida) on 2008-10-06
168
This bug affects 17 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned

Bug Description

the regression here is that devices are unmanaged even though they dont have a "auto eth0" line in /etc/network/interfaces

Here an example of an interfaces configuration that should not set the devices in unmanaged mode
https://bugs.edge.launchpad.net/ubuntu/+source/network-manager/+bug/279262/comments/14

To reproduce:
use the /etc/network/interfaces configuration from the above comment and see that after restart the device is unmanaged in intrepid, but managed in hardy (0.6).

The code we shipped in NM 0.6 that shows that auto connections were blacklisted is:

        for (curr_b = ifparser_getfirst (); curr_b; curr_b = curr_b->next) {
                if ((!strcmp (curr_b->type, "auto") || !strcmp (curr_b->type, "allow-hotplug"))
                    && strstr (curr_b->name, iface))
                        blacklist = TRUE;
        }

The proposed patch is committed to the ubuntu.0.7 branch (see Related Branches section in this bug) and can be seen here:
  http://bazaar.launchpad.net/~network-manager/network-manager/ubuntu.0.7/annotate/2957?file_id=012ifupdownunmanagea-20081022120139-7rgnlk84604f1ysu-1

Test packages with that patch are available: https://edge.launchpad.net/~network-manager/+archive

Impact:
1. no impact for new users
2. no impact for users that installed in gutsy or later and didnt modify their /etc/network/interfaces (e.g. through gnome network-admin)
3. users with dhcp that installed before that will most likely see their interface as being "unmanaged" and "not upped on startup" even though those interfaces were previously managed by NM. Note: we transitioned those old installs in gutsy to NM by commenting just the "auto ethX" lines in /etc/network/interfaces.

Risk:
+ patch appears reasonable minimal

description: updated

As a workaround removed network-manager

sudo apt-get remove network-manager

And i started my network device with:

sudo ifup eth0

Hope this helps

usb.poncho (usb-poncho) wrote :

same here...

no networking at all since the update. etc/network/interfaces is ignored with and without the ifupdown plugin.

Alexander Sack (asac) wrote :

please post your /etc/network/interfaces and your /etc/NetworkManager/nm-system-settings.conf.

Also consider to read /usr/share/network-manager/README.Debian.

Alexander Sack (asac) wrote :

also provide your complete /var/log/syslog taken _after_ reproducing your bug.

Dazzer (darren-scott) wrote :

I'm getting exactly the same behavior following todays update.
As of yesterday, I was hitting bug https://bugs.launchpad.net/network-manager/+bug/256054, but on reboot this morning, my manually defined IP settings where correctly remembered.

Unfortunately though, the networking isn't working and any changes via NetworkManager result in the error reported in this bug.

Let me know if I can provide any other assistance to resolving this.

Claudio Satriano (claudiodsf) wrote :

network-manager 0.7~~svn20081004t225044-0ubuntu1

I got the same behaviour as in this bug report.
Nevertheless I'm connected to the network, even if the NM applet shows up with a little cross, saying "No network connection".

As a side effect, Firefox always starts in offline mode, and I have to manually switch it online.

Here are my /etc/network/interfaces :

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
address 192.168.2.27
netmask 255.255.255.0
gateway 192.168.2.1

and my /etc/NetworkManager/nm-system-settings.conf :

[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

lVWy2QVhieXLsi (fshmuxibpmsioz) wrote :

Same here. The updates yesterday killed my ability to connect to a wired network. When I click on the network manager, I get "device is unmanaged"

Kadafi (mylesflanagan) wrote :

Here are my /etc/network/interfaces :

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1

iface wlan0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1
wireless-key ***********
wireless-essid Broadcast

auto wlan0

auto eth0

and /etc/NetworkManager/nm-system-settings.conf

[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

sheka (neil-kinghouse) wrote :

I have this error too.

Upgraded to 8.10 beta earlier this week - upgraded this morning and now have error were network manager says I am disconnected when in fact I am not.

Wired interface is now named Ifupdown (eth0) - which is read only.

Firefox and Pidgin - both start offline

 2.6.27-6-generic #1 SMP Tue Oct 7 04:15:04 UTC 2008 i686 GNU/Linux
ii network-manager 0.7~~svn20081004t225044-0ubuntu1 network management framework daemon
ii network-manager-gnome 0.7~~svn20081005t082522-0ubuntu1 network management framework (GNOME frontend
ii gnome-netstatus-applet 2.12.2-0ubuntu1 Network status applet for GNOME 2

sheka (neil-kinghouse) wrote :

my interfaces file

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

networkmanager.conf

[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

Ryan Ritterson (rrpublic) wrote :

my interfaces file was similar to Kadafi's, though I do not have a wireless interface.

A workaround to the problem is to simply removed the static section and leave only the 'auto eth0' line, then reboot (some command may refresh the interface without the reboot, but ifconfig eth0 down/up does not). Of course, this is not a suitable workaround for those requiring a static configuration, but does suffice for those who can make-do with DHCP temporarily.

brpaolo (brpaolo) wrote :

I had the same thing after today's update. After the first reboot, I had no connection any more. Now (after more reboots) I have a network connection, but Network Manager says I don't. Firefox starts offline. If I click on "Edit connections" and go to the wired connection and try to change something, I get the message "Updating connection failed:
nm-ifupdown-connection.c.c82-connection update not supported (read-only)..

blakamin (blakamin) on 2008-10-07
Changed in network-manager:
status: Incomplete → Confirmed
vaughn (vaughngrisham) wrote :

Here's my interfaces file:

auto lo
iface lo inet loopback

iface eth0 inet dhcp
address 192.168.0.1
netmask 255.0.0.0

iface eth1 inet dhcp
address 192.168.0.1
netmask 255.0.0.0
wireless-essid room3

nm-system-settings.conf

[main]
plugins=ifupdown,keyfile

[ifupdown]
manage=false

mrbean71 (m-marti) wrote :

Some things here, this my interfaces file:

auto lo
iface lo inet loopback
address 127.0.0.1
netmask 255.0.0.0
auto eth0
#iface eth0 inet dhcp
auto eth1
#iface eth1 inet dhcp
auto eth2
#iface eth2 inet dhcp
auto ath0
#iface ath0 inet dhcp
auto wlan0
#iface wlan0 inet dhcp
iface eth0 inet static
address 192.168.0.2
netmask 255.255.255.0
gateway 192.168.0.1

my nm-system-settings.conf:

[main]
plugins=ifupdown,keyfile
[ifupdown]
managed=false

My network is working but I hadded manuallt my DNS to resolv.conf and I have to restart networking one or twice to make it work. KNetworkManager icon is saying:

Device: etho
Status: unmanaged

David Corrales (davidcorrales) wrote :

You can temporarily use "sudo dhclient" to get a dhcp lease and be able to access the network.

My interfaces file looked like

auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
address 192.168.0.167
netmask 255.255.255.0
gateway 192.168.0.1

auto eth1
#iface eth1 inet dhcp

auto eth2
#iface eth2 inet dhcp

auto ath0
#iface ath0 inet dhcp

auto wlan0
#iface wlan0 inet dhcp

after the update. Note that before the update I hadn't configured a static IP address. After changing the eth0 part to
auto eth0
#iface eth0 inet static
#address 192.168.0.167
#netmask 255.255.255.0
#gateway 192.168.0.1

it worked again

mrbean71 (m-marti) wrote :

dhclient doesn't work because eth0 is up and show ipaddress, the problem seems due to a dns trouble.
Sure i dunno why knetworkmanager applet show eth0 unmanaged.
Anyway, till now that network is working afert a pair of restart of network icon is gray say unmanaged.

Bryson (ebvadd) wrote :

The way I worked around this was to change [ifupdown] manage=false to true in the interfaces file. I then created a new connection "eth1" within networkmanager copying the MAC address from the ifupdown (eth1) entry or which ever one you are using to the new connection. I was able to make it a static connection and it was also editable. My issue now is that when I boot it defaults to the ifupdown (eth1) connection where I can't edit it to add the DNS server. I can now click the nm icon and select "eth1" and my new connection works with everything. I have tried to delete the ifupdown (eth1) entry in nm and get Removing connection failed: ifupdown - connection delete not supported (read-only).. Hope this helps some of you until a fix.

Sokraates (sokraates) wrote :

Same problem here (Kubuntu Intrepid), though I found a different solution: I commented out the "iface XXX inet dhcp"-lines and now NM works like a charm again.

Here's my /etc/network/interfaces, just to make it clear, what I mean:

# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
auto eth0
#iface eth0 inet dhcp

# The wireless network interface
auto wlan0
#iface wlan0 inet dhcp

Julian Robbins (joolsr) wrote :

I had exactly same problem as mentioned here.

lohmatyi (himamma) wrote :

Thanks, Sokraates. Your hint helped me out. My interfaces file now is:

auto lo
iface lo inet loopback

# iface eth0 inet static
# address 192.168.1.9
# netmask 255.255.255.0
# gateway 192.168.1.1

auto eth0

Fredrik Sjögren (fsj) wrote :

Setting my nm-system-settings.conf:

[ifupdown]
managed=true

Will make my resolv.conf completely empty. Trying to change the DNS will give an error that the connection is read only.

vista killer (vistakiller) wrote :

I have the same problem after the upgrade. My net is dead. Any solution to solve this problem?

Kadafi (mylesflanagan) wrote :

problem seems to be solved, as someone mentioned above.

my original /etc/network/interfaces read like this:

auto lo
iface lo inet loopback

iface eth0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1

iface wlan0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1
wireless-key ***********
wireless-essid Broadcast

auto wlan0

auto eth0

*** as someone mentioned above adding the auto eth0 then commenting out iface eth0 inet static. so my new
/etc/network/interfaces looks like:

auto lo
iface lo inet loopback

auto eth0
#iface eth0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1

iface wlan0 inet static
address 192.168.2.136
netmask 255.255.255.0
gateway 192.168.2.1
wireless-key ***********
wireless-essid Broadcast

auto wlan0

auto eth0

*** when i rebooted a network had connected automatically (one i had previously tried to save, unsuccessfully), connecting to the internet worked fine. clicking on the NM icon displayed a list of network connections, all of which where previous failed attempts at making a connection. i managed to delete the remaining connections through NM, the ifup connection wasnt there.

vista killer (vistakiller) wrote :

I have a different solution for my problem. I have to change in /etc/network/interfaces the eth0 to vnet0. I have found that now ifconfig commant give me that the name for my card is vnet0.

On Tue, Oct 07, 2008 at 10:20:31AM -0000, Claudio Satriano wrote:
> network-manager 0.7~~svn20081004t225044-0ubuntu1
>
> I got the same behaviour as in this bug report.
> Nevertheless I'm connected to the network, even if the NM applet shows up with a little cross, saying "No network connection".
>
> As a side effect, Firefox always starts in offline mode, and I have to
> manually switch it online.
>
> Here are my /etc/network/interfaces :
>
> auto lo
> iface lo inet loopback
>
>
> auto eth0
> iface eth0 inet static
> address 192.168.2.27
> netmask 255.255.255.0
> gateway 192.168.2.1
>
>
> and my /etc/NetworkManager/nm-system-settings.conf :
>
> [main]
> plugins=ifupdown,keyfile
>
> [ifupdown]
> managed=false
>

Yes, if you only have unmanaged devices, network manager will
currently think you are offline. This will be fixed for final i
hope. However, you have quite a simple configuration and could go for
"managed=true".

Give it a try ;)

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 02:23:43PM -0000, Kadafi wrote:
> Here are my /etc/network/interfaces :
>
> auto lo
> iface lo inet loopback
>
> auto eth0
> iface eth0 inet static
> address 192.168.2.136
> netmask 255.255.255.0
> gateway 192.168.2.1
>
> iface wlan0 inet static
> address 192.168.2.136
> netmask 255.255.255.0
> gateway 192.168.2.1
> wireless-key ***********
> wireless-essid Broadcast
>
> auto wlan0
>
> auto eth0
>
>
> and /etc/NetworkManager/nm-system-settings.conf
>
> [main]
> plugins=ifupdown,keyfile
>
> [ifupdown]
> managed=false
>

you could try managed=true, though your wireless might cause issues
until the next ifupdown upload. Also we will fix the managed=false
case to show "online" when there are any unmanaged devices (which is
th bug you are seeing right now)

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 03:36:19PM -0000, sheka wrote:
> my interfaces file
>
> auto lo
> iface lo inet loopback
>
> auto eth0
> iface eth0 inet dhcp
>
> networkmanager.conf
>
> [main]
> plugins=ifupdown,keyfile
>
> [ifupdown]
> managed=false
>

You have such a simple setup that you can easily switch to
"managed=true" here ... that will fix your issues.

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 05:38:57PM -0000, Ryan Ritterson wrote:
> my interfaces file was similar to Kadafi's, though I do not have a
> wireless interface.

if you have no wireless configuration you should be able to go for
"managed=true" in the config file the other comments refer to.

If you want to use wireless with managed=true you need to run sudo
killall wpasupplicant once after startup until we fixed ifupdown (next
upload).

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 05:39:54PM -0000, brpaolo wrote:
> I had the same thing after today's update. After the first reboot, I had no connection any more. Now (after more reboots) I have a network connection, but Network Manager says I don't. Firefox starts offline. If I click on "Edit connections" and go to the wired connection and try to change something, I get the message "Updating connection failed:
> nm-ifupdown-connection.c.c82-connection update not supported (read-only)..
>

Yes, the ifupdown plugin is read-only. keyfile is the plugin you can
use to configure system settings in the NetworkManager gui. However,
dont try to use it until next upload. there are issues with keyfile
that will be fixed in next update.

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 06:48:54PM -0000, vaughn wrote:
> Here's my interfaces file:
>
> auto lo
> iface lo inet loopback
>
> iface eth0 inet dhcp
> address 192.168.0.1
> netmask 255.0.0.0
>
> iface eth1 inet dhcp
> address 192.168.0.1
> netmask 255.0.0.0
> wireless-essid room3
>
> nm-system-settings.conf
>
> [main]
> plugins=ifupdown,keyfile
>
> [ifupdown]
> manage=false
>

wait for the next ifupdown update. then try to use managed=true here.

The next NetworkManager update should also fix the "offline when all
devices unmanaged" bug.

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Oct 08, 2008 at 09:50:45PM -0000, vista killer wrote:
> I have a different solution for my problem. I have to change in
> /etc/network/interfaces the eth0 to vnet0. I have found that now
> ifconfig commant give me that the name for my card is vnet0.
>

vnetX are not something network manager can really manage. So you are
not really struck by this bug, but by something else.

 - Alexander

Ok, with "managed=true" NM now correctly detects my connection as
online.
However I'm not able to set up dns and default domain in NM, when I
click on "OK" I got the "read only" error message.

What I did therefore is seeting up dns on /etc/resolv.conf

Claudio

Il giorno gio, 09/10/2008 alle 10.37 +0000, Alexander Sack ha scritto:
> On Tue, Oct 07, 2008 at 10:20:31AM -0000, Claudio Satriano wrote:
> > network-manager 0.7~~svn20081004t225044-0ubuntu1
> >
> > I got the same behaviour as in this bug report.
> > Nevertheless I'm connected to the network, even if the NM applet shows up with a little cross, saying "No network connection".
> >
> > As a side effect, Firefox always starts in offline mode, and I have to
> > manually switch it online.
> >
> > Here are my /etc/network/interfaces :
> >
> > auto lo
> > iface lo inet loopback
> >
> >
> > auto eth0
> > iface eth0 inet static
> > address 192.168.2.27
> > netmask 255.255.255.0
> > gateway 192.168.2.1
> >
> >
> > and my /etc/NetworkManager/nm-system-settings.conf :
> >
> > [main]
> > plugins=ifupdown,keyfile
> >
> > [ifupdown]
> > managed=false
> >
>
> Yes, if you only have unmanaged devices, network manager will
> currently think you are offline. This will be fixed for final i
> hope. However, you have quite a simple configuration and could go for
> "managed=true".
>
> Give it a try ;)
>
> - Alexander
>

On Thu, Oct 09, 2008 at 12:29:25PM -0000, Claudio Satriano wrote:
> Ok, with "managed=true" NM now correctly detects my connection as
> online.
> However I'm not able to set up dns and default domain in NM, when I
> click on "OK" I got the "read only" error message.
>
> What I did therefore is seeting up dns on /etc/resolv.conf

if you want to use the /etc/network/interfaces, just add

 dns-nameservers 192.168.X.X (replace with your nameserver here).

 - Alexander

ok.

dns-nameservers works fine, but it seems that dns-search is ignored.

Il giorno gio, 09/10/2008 alle 14.10 +0000, Alexander Sack ha scritto:
> On Thu, Oct 09, 2008 at 12:29:25PM -0000, Claudio Satriano wrote:
> > Ok, with "managed=true" NM now correctly detects my connection as
> > online.
> > However I'm not able to set up dns and default domain in NM, when I
> > click on "OK" I got the "read only" error message.
> >
> > What I did therefore is seeting up dns on /etc/resolv.conf
>
> if you want to use the /etc/network/interfaces, just add
>
> dns-nameservers 192.168.X.X (replace with your nameserver here).
>
>
> - Alexander
>

Hi all,
Apologies for this one is going to be a long one.

 I have a single ADSL router/modem and the basic way it works/worked is that the router is the one which does all the authentication, I just need to connect the power cable and I had connectivity.

With the recent updates firefox and pidgin worked intermittently.
If I opened up firefox I used to get that firefox is off-line. If I used pidgin, I used to either get IRC or Gmail/XMPP authentication but not both together.

What I had to do is click Work off-line in firefox and then refresh all the pages. For pidgin unfortunately, there was no workaround.

A temporary workaround that I found out was that if I did

sudo /etc/init.d/NetworkManager stop

and then both firefox and Pidgin used to work for me.

This is my /etc/network/interfaces file

auto lo
iface lo inet loopback

auto eth0 inet static
address 192.168.1.2
netmask 255.255.255.0
gateway 192.168.1.1

This is my /etc/Network-Manager/nm-system-settings.conf
[main]
plugins = ifupdown, keyfile

[ifupdown]
managed = false

Then I found this thread and some people had commented that changing managed from false to true would make things easy or perhaps that was my understanding.

The moment I did managed = true my network borked, I wasn't able to do anything.

I tried everything

sudo /etc/init.d/networking restart
sudo /etc/init.d/NetworkManager restart

but to no avail.

as somebody confirmed /etc/resolv.conf is now empty.

This is way dirty, I'm sure somebody would say these lines are not necessary but somehow I have now got net connectivity using dhcp

cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface
#auto eth0 inet static

#iface eth0 inet static
#address 192.168.1.2
#netmask 255.255.255.0
#gateway 192.168.1.1
iface eth0 inet dhcp

Now I have few questions

a. Is there anyway I can get back to having a static interface without using dhcp or no?

b. Could there be something salvaged from /etc/resolv.conf or that is gone forever? (Perhaps there was nothing there, dunno)

Looking forward for answers on the same.

Btw new versions of network-manager and ifupdown have hit it seems around 6 hours ago.

Network Manager 0.7~~svn20081008t224042-0ubuntu2

Shirish Agarwal (shirishag75) wrote :

A slight update

Now this one is working atm but /etc/resolv.conf is still out

cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The primary network interface

iface eth0 inet static
address 192.168.1.2
netmask 255.255.255.0
gateway 192.168.1.1

now have to figure out somehow from where Network-Manager is getting the listing of the nameservers? Any ideas gentlemen.

Shirish Agarwal (shirishag75) wrote :

That was a bit quick, I hadn't actually rebooted.

When I rebooted, I came back to la-la land where nothing worked.
Then scanned a few manpages and came to know there is something called ifconfig which does the same/similar thing as /etc/network/interfaces so tried that one out.

sudo ifconfig eth0 inet 192.168.1.2 netmask 255.255.255.0 broadcast 61.1.96.69

This is what ifconfig eth0 gives :-

ifconfig eth0
eth0 Link encap:Ethernet HWaddr some address
          inet addr:192.168.1.2 Bcast:61.1.96.69 Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:557 errors:0 dropped:0 overruns:0 frame:0
          TX packets:801 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:313297 (313.2 KB) TX bytes:154915 (154.9 KB)
          Interrupt:22 Base address:some base address

But still wouldn't work, apparently the gateway information I didn't know where or how to give

Came to know also there is something called route so used that.

route add default gw 192.168.1.1 (most probably from security point of view may be a bad idea, but till I don't know any better have to use the same)

route

 route
Kernel IP routing table
Destination Gateway Genmask Flags Metric Ref Use Iface
192.168.1.0 * 255.255.255.0 U 0 0 0 eth0
default 192.168.1.1 0.0.0.0 UG 0 0 0 eth0

comments and suggestions to clean up are welcome.

I have this problem too.

sudo dhclient

does at least get me a network connection.

Alexander Sack (asac) on 2008-10-16
Changed in network-manager:
importance: Undecided → Low
Alexander Sack (asac) on 2008-10-22
Changed in network-manager:
status: Confirmed → Triaged
importance: Low → High
description: updated
Alexander Sack (asac) on 2008-10-22
description: updated
description: updated
Alexander Sack (asac) on 2008-10-22
description: updated
description: updated
Changed in network-manager:
milestone: none → ubuntu-8.10
description: updated
Alexander Sack (asac) on 2008-10-22
description: updated
Alexander Sack (asac) on 2008-10-23
description: updated
description: updated
description: updated
description: updated
Alexander Sack (asac) on 2008-10-23
description: updated
description: updated
Alexander Sack (asac) on 2008-10-23
Changed in network-manager:
milestone: ubuntu-8.10 → none
35 comments hidden view all 115 comments

On Mon, Nov 03, 2008 at 03:50:57PM -0000, Martin G Miller wrote:
> I think this is a different bug(s). I will start a new one for it.

ok if that is because you see the devices duplicated its bug 262974
... but i think you found it.

 - Alexander

mauriceplus (mauriceplus) wrote :

HI, I'm using Kubuntu 8.10, upgraded from 8.04.
I want to confirm this bug, but I've experienced an interesting thing!!
Skype works fine, I can talk with anyone, but I can't surf on internet with firefox and other programs, and apt-get doesn't work!!
but WHY Skype WORKS???

Thanks a lot to all that are working on it!!!
P.S.: a little advertisement: sometimes who have this bugs haven't other way to connect to internet, so an upgrade of package(s) is not so easy to do!!

Adam Niedling (krychek) wrote :

mauriceplus: That also happened to me a few times. For example when I bought a wlan router and tried to make it work. Nothing but skype works.. Strange.

imk (imk) wrote :

This bug unavoidably impacts anybody using VirtualBox to run guest VMs under Ubtuntu with Host Interface Networking (i.e. "real" networking), since this calls for the installation of bridge-utils and modification of /etc/network/interfaces with the addition of code like:

auto br0
iface br0 inet dhcp
   bridge_ports eth0

This causes NetworkManager to report Unmanaged Device Found at boot and results in no nm-applet icon appearing in the system tray.

Alexander Sack (asac) wrote :

mauriceplus, this is not the place to ask question. questions here will make the bug unreadable and make it less likely that we can actually fix something here.

Alexander Sack (asac) wrote :

please double check that this bug is actually your bug and if you are in doubt open a new one. refer to this one instead of commenting here.

benk (bkenney) wrote :

I think I have this bug as well. I upgraded from 8.04 to 8.10. I had a static IP wired connection under 8.04 which worked but this stopped working after upgrading to 8.10.

I followed advice from messages above and set

[ifupdown]
managed=true

In my /etc/NetworkManager/nm-system-settings.conf file which allowed me to select a wired connection under NetworkManager, but still I didn't have an internet connection.

When I commented out the line:
iface eth0 inet static
and added auto eth0
in my /etc/network/interfaces file I can at least connect through my wired connection using DHCP but putting in a static IP address still won't work.

Something that I have noticed though which I think is odd:
When I set my wired connection to use a static IP address, I can't use Firefox to open any websites BUT I am able to ping my IP address and connect via ssh from another machine. So I guess this suggests that it's just outgoing traffic that doesn't work when I use my static IP settings.

Sergiu Bivol (sergiu-bivol) wrote :

Three machines with Intrepid here. All of them fresh installs, updated. Each of them has 3 network cards with static IPs.
None of them is manageable.

I randomly get any combination of these results when configuring the interfaces with network manager:
- the settings are saved, but no connection.
- a connection does not work unless I click on NM, then click on EthName
- no password prompt at all, no matter what I change
- password prompt appears, but it has no effect (no settings get saved)
- checking/unchecking "System setting" or "Start automatically" has no effect (they are simply set randomly each time I edit the connection)
- a connection finally works (ping IP), but there is no nameserver, even though I have set one
- lots of connections can be added - is there a sane reason for this?!
- NM ignores the connections with static IPs and tries to connect to an unconfigured interface
- there is no NM at all after login

There is also a stable result:
- ALL the settings are lost on reboot, with no obvious reason

A whole IT department in a whole university is going crazy here. Is there something that we are missing? A spell or something? Hardy works perfectly.

@Sergiu

Did you try removing the existing connection entry and create a brand
new one?

This worked for me. NM prompted me for the password and the new
connection is now persistent (i.e. is not lost on reboot)

Claudio

Il giorno 06/nov/08, alle ore 11:02, Sergiu Bivol ha scritto:

> Three machines with Intrepid here. All of them fresh installs,
> updated. Each of them has 3 network cards with static IPs.
> None of them is manageable.
>
> I randomly get any combination of these results when configuring
> the interfaces with network manager:
> - the settings are saved, but no connection.
> - a connection does not work unless I click on NM, then click on
> EthName
> - no password prompt at all, no matter what I change
> - password prompt appears, but it has no effect (no settings get
> saved)
> - checking/unchecking "System setting" or "Start automatically" has
> no effect (they are simply set randomly each time I edit the
> connection)
> - a connection finally works (ping IP), but there is no nameserver,
> even though I have set one
> - lots of connections can be added - is there a sane reason for this?!
> - NM ignores the connections with static IPs and tries to connect
> to an unconfigured interface
> - there is no NM at all after login
>
> There is also a stable result:
> - ALL the settings are lost on reboot, with no obvious reason
>
> A whole IT department in a whole university is going crazy here. Is
> there something that we are missing? A spell or something? Hardy works
> perfectly.
>
> --
> [regression] devices/interfaces not set to "auto" in /etc/network/
> interfaces get blacklisted in 0.7 (intrepid) but were managed in
> 0.6 (hardy and before)
> https://bugs.launchpad.net/bugs/279262
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Nausser (van-brian) wrote :

Do you mean removing eth0? My internet connection has always worked;
however, I've never had the nm-applet running in the notification area.
The only way to make it show up is to run command
"sudo /etc/init.d/NetworkManager restart". This puts the network manager
in the notification area although it shows no physical connection. This
whole time though actually having a connection. I only need it up there
so I can connect and disconnect my vpn as I allways have in Hardy.
Does this still sound like your issue?

-Brian

On Thu, 2008-11-06 at 11:18 +0000, Claudio Satriano wrote:
> @Sergiu
>
> Did you try removing the existing connection entry and create a brand
> new one?
>
> This worked for me. NM prompted me for the password and the new
> connection is now persistent (i.e. is not lost on reboot)
>
> Claudio
>
> Il giorno 06/nov/08, alle ore 11:02, Sergiu Bivol ha scritto:
>
> > Three machines with Intrepid here. All of them fresh installs,
> > updated. Each of them has 3 network cards with static IPs.
> > None of them is manageable.
> >
> > I randomly get any combination of these results when configuring
> > the interfaces with network manager:
> > - the settings are saved, but no connection.
> > - a connection does not work unless I click on NM, then click on
> > EthName
> > - no password prompt at all, no matter what I change
> > - password prompt appears, but it has no effect (no settings get
> > saved)
> > - checking/unchecking "System setting" or "Start automatically" has
> > no effect (they are simply set randomly each time I edit the
> > connection)
> > - a connection finally works (ping IP), but there is no nameserver,
> > even though I have set one
> > - lots of connections can be added - is there a sane reason for this?!
> > - NM ignores the connections with static IPs and tries to connect
> > to an unconfigured interface
> > - there is no NM at all after login
> >
> > There is also a stable result:
> > - ALL the settings are lost on reboot, with no obvious reason
> >
> > A whole IT department in a whole university is going crazy here. Is
> > there something that we are missing? A spell or something? Hardy works
> > perfectly.
> >
> > --
> > [regression] devices/interfaces not set to "auto" in /etc/network/
> > interfaces get blacklisted in 0.7 (intrepid) but were managed in
> > 0.6 (hardy and before)
> > https://bugs.launchpad.net/bugs/279262
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
>

Do you mean removing eth0? My internet connection has always worked;
however, I've never had the nm-applet running in the notification area.
The only way to make it show up is to run command
"sudo /etc/init.d/NetworkManager restart". This puts the network manager
in the notification area although it shows no physical connection. This
whole time though actually having a connection. I only need it up there
so I can connect and disconnect my vpn as I allways have in Hardy.
Does this still sound like your issue?

NUCO (nuco-ageka) wrote :

This is my old "interfaces" configuration, the one that was left after the upgrade to ibex:

****************************

auto lo
iface lo inet loopback

auto eth2
#iface eth2 inet dhcp

auto ath0
#iface ath0 inet dhcp

auto wlan0
#iface wlan0 inet dhcp

iface eth0 inet static
address 192.168.0.221
netmask 255.255.255.0
gateway 192.168.0.1

auto eth0

**********************************

This is the configuration that seems to hace solved the problem. Now wired and wireless network seem to work perfectly from the network manager:

***********************************

auto lo
iface lo inet loopback

auto eth0
#iface eth0 inet dhcp

auto eth1
#iface eth1 inet dhcp

auto eth2
#iface eth2 inet dhcp

auto ath0
#iface ath0 inet dhcp

auto wlan0
#iface wlan0 inet dhcp

********************************

Hope it helps.

benk (bkenney) wrote :

@NUCO

Can you use a static IP through eth0 with your new "interfaces" configuration? This is my problem. DHCP works but not static IP.

NUCO (nuco-ageka) wrote :

Yes, it works fine.
I can configure it from the networkmanager applet.
Give it a try.

Paul (peubanks) wrote :

Exact same problem here. Static IP config that worked fine in 8.04, borked when 8.10 upgrade came. Can't alter using NM gui (no password prompt - says I don't have permission). Connectivity to ISP is fine, but DNS doesn't work.

Example:

$ ping google.com
ping: unknown host google.com

$ ping 64.233.187.99
PING 64.233.187.99 (64.233.187.99) 56(84) bytes of data.
64 bytes from 64.233.187.99: icmp_seq=1 ttl=241 time=39.9 ms
64 bytes from 64.233.187.99: icmp_seq=2 ttl=241 time=47.5 ms
64 bytes from 64.233.187.99: icmp_seq=3 ttl=241 time=37.3 ms

$ cat /etc/network/interfaces
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

iface eth1 inet static
address 192.168.1.128
netmask 255.255.255.0
gateway 192.168.1.1
# dns-nameservers 192.168.1.1

auto eth1

(why all the blank lines?)

$ cat /etc/NetworkManager/nm-system-settings.conf
[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

Really guys? Is it THAT difficult to make a DNS lookup when using a static IP config? I'll be moving to Fedora if this isn't sorted out soon.

Dave Jakeman (davejakeman) wrote :

Me too. I had two static wired interfaces before the upgrade. Tried upgrading by CD and over the net and both made my post-upgrade connections incorrectly configured and read-only. Fortunately, I took an Acronis backup before the upgrade. I have other issues (PC hangs on shutdown), so I'll try a full reinstall of 8.10.

Dave Jakeman (davejakeman) wrote :

Just back from wiping/installing 8.10 (full) and trying to set up my static wired connections.

On the first attempt, I configured my connections and they were accepted without a "read-only" error. Couldn't get onto the internet though. Went back to check, and both connection definitions had vanished. Reconfigured them again and this time renamed them from "auto eth0" and "auto eth1" to "Wired Ethernet 1" and "Wired Ethernet 2". This time, they were stored and I could surf with Firefox. On reboot though, both the connections had disappeared again.

Paul (peubanks) wrote :

The work around for this is easy. Simply edit /etc/resolv.conf so your DNS lookup server is present. Check it out...

$ cat /etc/resolv.conf
# Generated by NetworkManager

OH LOOK IT'S BLANK. :/ I guess let's add our DNS server in /etc/resolv.conf:

$ sudo vi /etc/resolv.conf
$ cat /etc/resolv.conf
# Generated by NetworkManager
#Using my router's IP, but OpenDNS is also a good choice
nameserver 192.168.1.1

$ sudo /etc/init.d/networking restart

$ ping google.com
PING google.com (64.233.187.99) 56(84) bytes of data.
64 bytes from jc-in-f99.google.com (64.233.187.99): icmp_seq=1 ttl=241 time=38.0 ms

Oh look it works now. Hey guys? Why won't Network-manager's GUI allow me to write to /etc/resolv.conf? It should prompt for sudo access when I specify to add a DNS server. I've uninstalled Network-manager and using wicd now. MUCH MUCH better. Any plans to use/support wicd in place of Network-manager since Network-manager has been thoroughly buggy ever since it's been included in Ubuntu's releases? It would be a welcome reprieve. Thanks.

Martin G Miller (mgmiller) wrote :

Paul, you didn't look at the gui for network manager very closely, did you?
Network manager does write to resolv.conf.

This is how you set up for a static IP connection:
Right click the icon, select "edit connections", highlight the connection you want to tweak. Click Edit and then select the "IPV4 Settings"tab. You put your gateway (192.168.1.1 in my case also) on the line with the IP address in the field labeled "Gateway". You put the DNS servers on the DNS servers line, seperated by a comma(,).

As gui's go it's pretty straightforward and seems to work fine once the other issues I experienced in my upgrade from Hardy to Intrepid were sorted.

In fact, you have put your routers IP in the DNS field, which really isn't correct. Apparently, something in your router is taking care of the DNS lookups for you.

Go into your router and look in the "Status" field or whatever your router calls it (I have a Linksys) to see the correct DNS entries.
I am assuming your router uses TCP/IP and is set to DHCP to pull an address from your ISP.

Of course, if you use PPP or PPPoe, which I have no experience with, I may be totally off base here.

Here is my resolve.conf, properly written to by network manager with the correct DNS entries, retrieved from looking at my router:
$ cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 167.206.254.2
nameserver 167.206.254.1

If I use the "Automatic Eth0" connection, every thing in all the fields is set to automatic and greyed out & works
fine in the half dozen or so Intrepid machines I have set up. You still have the option to change this setting as noted above by changing the method in the IPV4 tab from "Automatic (DHCP)" to "Manual" and then you can enter whatever you want. I just haven't found that to be necessary.

If you are not able to write to the needed fields or it tells you "permission denied" when you try to save something, that is a bug as noted above on Hardy to Intrepid upgrades and if you read through the posts above, you will find the fix for that.

Paul (peubanks) wrote :

Yes Martin, I did. The work-around above of deleting the existing connection and re-adding didn't work either as Network-Manager still wouldn't allow me to add a connection (no prompt for sudo access). The only fix that works is to manually edit /etc/resolv.conf to add DNS entries. Wicd nicely manages everything for me now and I don't have to deal with Network-manager's nonsense anymore.

After successful connection, is anyone else here having windows based
pptp vpn connection issues?
Is there a specific thread for this issue in Ibex?

Sorry if this is outside the realm of this thread.

-Brian

On Mon, 2008-11-10 at 14:53 +0000, Paul wrote:
> Yes Martin, I did. The work-around above of deleting the existing
> connection and re-adding didn't work either as Network-Manager still
> wouldn't allow me to add a connection (no prompt for sudo access). The
> only fix that works is to manually edit /etc/resolv.conf to add DNS
> entries. Wicd nicely manages everything for me now and I don't have to
> deal with Network-manager's nonsense anymore.
>

Network Manager is getting wirse. It now randomly does things like:
offering a wireless connection when there is a wired connection (both defined as dhcp)
after requesting a WPA/WPA2 key, never connecting
ignoring DNS (in /etc/resolv.conf) but not allowing them in Network Manager applet
not picking up connection if it's static ip.

Under Gutsy, I also had wireless problem using Edimax usb wireless dongle. Way round it was to use wicd. However, I was not able to return to using NM after upgrade to Hardy. Had to clean install Hardy. Therfore, I do not want to repeat this performance under Ibex (i.e. going to wicd but not able to return to NM when upgrading to 9.04 release).

You will like it.

Click to find out why

Please accept or reject this invitation by clicking below:

http://www.bebo.com/in/8210404934a318384467b135

......................................................................

This email was sent to you at the direct request of Arvind Gupta <email address hidden>. You have not been added to a mailing list.

If you would prefer not to receive invitations from ANY Bebo members please click here - http://www.bebo.com/unsub/8210404934a318384467

Bebo, Inc., 795 Folsom St, 6th Floor, San Francisco, CA 94107, USA.

On Sat, Nov 08, 2008 at 07:44:40PM -0000, Dave Jakeman wrote:
> Just back from wiping/installing 8.10 (full) and trying to set up my
> static wired connections.
>
> On the first attempt, I configured my connections and they were accepted
> without a "read-only" error. Couldn't get onto the internet though.
> Went back to check, and both connection definitions had vanished.
> Reconfigured them again and this time renamed them from "auto eth0" and
> "auto eth1" to "Wired Ethernet 1" and "Wired Ethernet 2". This time,
> they were stored and I could surf with Firefox. On reboot though, both
> the connections had disappeared again.
>

Auto connections are read-only. Its a bug that you dont get an
error. You need to create new connections if you want to do your own stuff.

 - Alexander

Those who need a static ip
Change your /etc/resolv.conf to something like below (replace the x's with ip addresses of your dns servers)
with the command:
sudo gedit /etc/resolv.conf

#/etc/resolv.conf
search yourdomain
nameserver xxx.xxx.xxx.xxx
nameserver xxx.xxx.xxx.xxx
nameserver xxx.xxx.xxx.xxx

Change your /etc/network/interfaces to something like below (replace the x's with your ip addresses and gateways)
with the command:
sudo gedit /etc/network/interfaces
#/etc/network/interfaces
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet static
address xxx.xxx.xxx.xxx
netmask 255.255.255.0
gateway xxx.xxx.xxx.xxx

auto eth1
iface eth1 inet static
address xxx.xxx.xxx.xxx
netmask 255.255.255.0
gateway xxx.xxx.xxx.xxx

After that restart networking and your dns issues should be resolved.
sudo /etc/init.d/networking restart

Make sure you get rid all the extra things in that mysteriously appeared in the upgrade from 8.04 to 8.10
All that being said, it is advised to stay away from network manager until these issues are resolved. If you attempt to change things w/ network manager and do a reboot, the resolv.conf file may be written over to be blank.

mrbean71 (m-marti) wrote :

I upgraded from 8.10 to 9.04 beta and network worked but plasma-network-widget showed unmanaged, I thought beacues ia had handly modified interfaces and resolv.conf.
I decided to installa fresh 9.04 due the fact I was upgrading from a long time.
I was very disappointd to see netork work via dhcp but with big problem, I tried to configure network via plasm widget with any succes, then I uninstalled Networkmanager stuff and configured network via interfaces and resolv.conf.
I read around about this problem many people solve it installing wicd.
I think this bug is extremely serious for common users, maybe you are understimating it?

Download full text (3.4 KiB)

Really the easiest way is to just do a ip address reservation for your
NIC's MAC address on your DHCP server. That way when this long drawn
out bug is finally fixed, you won't have to do any special re-config
of anything.

On Thu, Dec 4, 2008 at 9:14 AM, Alexander Sack <email address hidden> wrote:
> On Sat, Nov 08, 2008 at 07:44:40PM -0000, Dave Jakeman wrote:
>> Just back from wiping/installing 8.10 (full) and trying to set up my
>> static wired connections.
>>
>> On the first attempt, I configured my connections and they were accepted
>> without a "read-only" error.  Couldn't get onto the internet though.
>> Went back to check, and both connection definitions had vanished.
>> Reconfigured them again and this time renamed them from "auto eth0" and
>> "auto eth1" to "Wired Ethernet 1" and "Wired Ethernet 2".  This time,
>> they were stored and I could surf with Firefox.  On reboot though, both
>> the connections had disappeared again.
>>
>
> Auto connections are read-only. Its a bug that you dont get an
> error. You need to create new connections if you want to do your own stuff.
>
>
>  - Alexander
>
> --
> [regression] devices/interfaces not set to "auto" in /etc/network/interfaces get blacklisted in 0.7 (intrepid) but were managed in 0.6 (hardy and before)
> https://bugs.launchpad.net/bugs/279262
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “network-manager” source package in Ubuntu: Triaged
> Status in network-manager in Ubuntu Intrepid: Won't Fix
>
> Bug description:
> the regression here is that devices are unmanaged even though they dont have a "auto eth0" line in /etc/network/interfaces
>
> Here an example of an interfaces configuration that should not set the devices in unmanaged mode
> https://bugs.edge.launchpad.net/ubuntu/+source/network-manager/+bug/279262/comments/14
>
> To reproduce:
> use the /etc/network/interfaces configuration from the above comment and see that after restart the device is unmanaged in intrepid, but managed in hardy (0.6).
>
> The code we shipped in NM 0.6 that shows that auto connections were blacklisted is:
>
>        for (curr_b = ifparser_getfirst (); curr_b; curr_b = curr_b->next) {
>                if ((!strcmp (curr_b->type, "auto") || !strcmp (curr_b->type, "allow-hotplug"))
>                    && strstr (curr_b->name, iface))
>                        blacklist = TRUE;
>        }
>
> The proposed patch is committed to the ubuntu.0.7 branch (see Related Branches section in this bug) and can be seen here:
>  http://bazaar.launchpad.net/~network-manager/network-manager/ubuntu.0.7/annotate/2957?file_id=012ifupdownunmanagea-20081022120139-7rgnlk84604f1ysu-1
>
> Test packages with that patch are available: https://edge.launchpad.net/~network-manager/+archive
>
> Impact:
> 1. no impact for new users
> 2. no impact for users that installed in gutsy or later and didnt modify their /etc/network/interfaces (e.g. through gnome network-admin)
> 3. users with dhcp that installed before that will most likely see their interface as being "unmanaged" and "not upped on startup" even though those interfaces were previously managed by NM. Note: we transitioned...

Read more...

I upgraded to Jaunty final release and the bug still persist. is someone working at this or like in intrepid the bug will persist until the next release.

Dave Jakeman (davejakeman) wrote :

I too have a static IP address config and got hit by this problem attempting to upgrade from 8.04 to 9.04 (via 8.10). So I wiped and did a clean install of 9.04 and static IP configuration then worked fine. Not a fix for those that want to upgrade though.

cwsupport (netsupport) wrote :

Just a quick bit of info as I saw a similar problem...which may or may not have been related on 9.10.

The problem as I see it was caused by have a static ip setup on eth0 - but the network manager was 'swiping' the connection and attempting dhcp (which is not available on the particular network). I found that the following changes to my /etc/network/interfaces cured problems.

1. On lines following iface use a tab to indent not spaces.
2. Between keywords and data (i.e. netmask 255.255.0.0) use a single space not multiple spaces.

After a reboot this cured my problems.

Adam Porter (alphapapa) wrote :

One problem as I see it is that the Network Manager applets/widgets should have a simple option to changed "unmanaged" devices to "managed." All it takes is for a "managed=true" line in nm-settings.conf to be changed to "managed=false" and Network Manager is stuck! The only way to fix it is to fix that configuration file, and if a user can't get online to find the solution, he'll be stuck! (And probably will switch to Windows, too.)

This or a similar problem happened when I ran nm-applet in KDE because of plasma-widget-networkmanager's inability to handle DSL PPPoE connections. Suddenly after rebooting, the line in the conf file was set to managed=false, and the widget lacks the ability to return the device to managed mode, and so I couldn't get online. Deleting the file and restarting NM fixes it, or doing:

$(sudo sed -i "s/managed=false/managed=true/g" /etc/NetworkManager/nm-system-settings.conf && sudo restart network-manager)

fixes it also.

I remember encountering this bug over a year ago when testing a newer release of Kubuntu...and so I stayed with Hardy. But here we are in Maverick and the bug is still there. *sigh*

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Arvind Gupta

Arvind Gupta
Senior Software Analyst at Websoft Solutions
Kota Area, India

Confirm that you know Arvind Gupta
https://www.linkedin.com/e/-el0rtm-glco4ufz-4p/isd/2517669433/GF6iFsV_/

--
(c) 2011, LinkedIn Corporation

Adam Porter (alphapapa) wrote :

After upgrading from Maverick to Natty using the dist-upgrade tool, my Ethernet connection was completely unusable, because it was "unmanaged".

I was able to manually activate the interface with ifconfig and manually run $(dhclient eth0) to get an IP from DHCP. Then I purged network-manager and reinstalled it. But it's STILL UNMANAGED!

This is absolutely insane. Upgrading Kubuntu from Maverick to Natty BREAKS NETWORKING, with NO WAY TO FIX IT other than mucking around in a terminal!!!

This bug has been around for YEARS!!!

How can Natty be released like this?!? Average users won't have a clue how to fix it and won't be able to find out because they can't get online!!!

Is this intentional sabotage against Kubuntu? If not, what other explanation is there for releasing a new version of Kubuntu that utterly breaks networking upon upgrading?

Debian would never, ever release a new version that has such UTTERLY FATAL bugs in it.

What does it take to get a CRITICAL bug like this fixed???

summary: - [regression] devices/interfaces not set to "auto" in
- /etc/network/interfaces get blacklisted in 0.7 (intrepid) but were
- managed in 0.6 (hardy and before)
+ Ethernet unusable after Maverick-Natty upgrade; device unmanaged; no way
+ to change it
Adam Porter (alphapapa) on 2011-05-01
Changed in network-manager (Ubuntu):
status: Triaged → Confirmed

On Saturday, April 30, 2011 08:28:57 pm Adam Porter wrote:
> After upgrading from Maverick to Natty using the dist-upgrade tool, my
> Ethernet connection was completely unusable, because it was "unmanaged".
>
> I was able to manually activate the interface with ifconfig and manually
> run $(dhclient eth0) to get an IP from DHCP. Then I purged network-
> manager and reinstalled it. But it's STILL UNMANAGED!
>
> This is absolutely insane. Upgrading Kubuntu from Maverick to Natty
> BREAKS NETWORKING, with NO WAY TO FIX IT other than mucking around in a
> terminal!!!
>
> This bug has been around for YEARS!!!
>
> How can Natty be released like this?!? Average users won't have a clue
> how to fix it and won't be able to find out because they can't get
> online!!!
>
> Is this intentional sabotage against Kubuntu? If not, what other
> explanation is there for releasing a new version of Kubuntu that utterly
> breaks networking upon upgrading?
>
> Debian would never, ever release a new version that has such UTTERLY
> FATAL bugs in it.
>
> What does it take to get a CRITICAL bug like this fixed???
>
> ** Summary changed:
>
> - [regression] devices/interfaces not set to "auto" in /etc/network/interfaces get blacklisted in 0.7 (intrepid) but were managed in 0.6 (hardy and before)
> + Ethernet unusable after Maverick-Natty upgrade; device unmanaged; no way to change it
>
> ** Changed in: network-manager (Ubuntu)
> Status: Triaged => Confirmed
>
>
Dear Adam,
Please stop upgrading outside of Long Term Release versions.
Maybe you did not realize Maverick is currently leading edge and Natty is considered bleeding edge.
Yes, in most cases, most things are "cooler" and more "flashy".
It is also possible that you didn't realize that ALL CAPITOL LETTERS ARE CONSIDERED YELLING.
If all caps are accompanied with exclamation points it LOOKS LIKE SCREAMING!!!
If in fact you really are this discouraged over something that is being worked on without much good to say, please go back to version 8.04.x or 10.04.x
--
Thank You,
Ronnie Redd

Fingerprint:
7B9430791CE3066D944D1C8CB0A22F3A1B4998F0
To verify signature:
http://pgp.mit.edu:11371/pks/lookup?search=Ronnie+Redd&op=index

Note: Our mail servers employ *very* aggressive anti-spam
filtering. If you reply to this email and your email is
rejected, please accept my apologies and let me know via my
web form at <http://www.cruzit.com/contactor.php>.

Adam Porter (alphapapa) wrote :
Download full text (3.7 KiB)

Ronnie,

That is not correct. Natty is not bleeding edge--it is released.
Maverick is not leading edge--it is the previous, outdated version.
An alpha release would be bleeding edge, and a beta would be leading
edge. But semantics are irrelevant, anyway.

The point is that Kubuntu has been released, once again, with a
showstopper bug. This is far worse than the bug a few releases back
that had PulseAudio, and all sound, broken out-of-the-box, because
this breaks networking out-of-the-box. That means that the "average",
non-technical users that Ubuntu has stated as its target will be
unable to even get online to find the solution. They will almost
surely give up on Ubuntu, and perhaps Linux as a whole, and go back to
Windows. Even aside from the technical problem and the frustration
for individual users, surely you can recognize the long-term damage
this kind of problem does to Ubuntu's reputation.

This has nothing whatsoever to do with being "cooler" or "flashy."
This should be a release-critical/blocker bug--Natty should have been
held back until it was completely fixed. There is NO EXCUSE for
releasing a distro that has fundamental functionality like networking
that is just plain broken. The sad truth is that this is not a rare
kind of problem with Ubuntu: after six and a half years and fourteen
releases, new releases are still being pushed out that are
fundamentally broken. On top of that, this particular bug has been
filed for two and a half years, and is triaged as "High," yet Natty
was pushed out anyway.

SABDFL filed Bug #1 as his #1 goal, but that is nothing but a joke as
long as Ubuntu is released with these kinds of problems. Or is it
just Kubuntu that is pushed out half-baked? (Which I don't get, since
he has stated he likes and supports KDE--actions speak louder, though,
don't they?)

Ubuntu is not a piddly little distro with 20 users. It's one of the
top three Linux distros on the planet. It's been leading the way
forward on the desktop since it was begun. It's unacceptable for it
to be released with such major bugs! What happened to pride in
quality and engineering?

The solution is so simple: just MAKE THE DECISION to not release a new
version until it's ready. You know, like Debian has always done.
Now, now, slow down: it's entirely possible to push out releases on a
fairly-regular schedule like Ubuntu does while still not allowing RC
bugs to be ignored--it doesn't have to mean delaying releases for
years. It just means DECIDING to put quality first, and PRIORITIZING
issues, and DECIDING to fix them before making a release. And yes,
you bet I'm using capital letters, because this is a serious problem
that continues to go unnoticed and unfixed for YEARS.
Out-of-the-box-broken networking needs to be SHOUTED FROM THE ROOFTOPS
until it's taken seriously enough to never again be released this way.
 Otherwise Kubuntu will quickly shrivel and die.

I'm afraid your apologetics simply make no sense. If I accept your
reasoning, then I must conclude that Kubuntu has become nothing but a
joke or an experiment, and is wholly unsuitable for general usage. Is
this how you see Kubuntu? Is this the goal Kubuntu should be ...

Read more...

thecure (keith-k) wrote :

Maverick-Natty upgrade; device unmanaged - confirmed; but in my case although network manager claims I have no active connections I fortunately I did. I commented out the unmanaged interface in /etc/network/interfaces then had to run network tools; select the unmanaged interface; then I was able to enable and manage the interface in the network app.

Is this reproducible on Oneiric or Precise?

I'd be very tempted to close this a Fix Released given the general age of this bug and that I'm pretty sure it's been properly fixed in Oneiric or even earlier.

Of course, this still means we might want to fix it for earlier releases provided the exact cause of the issue can be figured out and that a patch is made available, simple enough to be uploaded as SRU (I don't see why such a fix wouldn't be, really).

Changed in network-manager (Ubuntu):
status: Confirmed → Incomplete

 It seems that this bug affects Precise.
 Today I installed Ubuntu 12.04 LTS and after login I got the message that network is disconnected and I am offline. I tried to edit /etc/network/interfaces but nothing was changed ( I used the same config as on Debian 6.0 where connection works fine). So after every reboot I should go to shell and run it by myself using "dhclient eth0".

margaret yeager (1shult) on 2012-05-27
Changed in network-manager (Ubuntu):
status: Incomplete → Fix Released
it support (itsupport-x) on 2013-03-13
Changed in network-manager (Ubuntu):
assignee: nobody → it support (itsupport-x)
assignee: it support (itsupport-x) → nobody
Displaying first 40 and last 40 comments. View all 115 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Bug attachments